首页   注册   登录
V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
V2EX  ›  macOS

「Command Line Tools for Xcode-11.0」安装失败?

  •  
  •   dadachen1997 · 55 天前 · 956 次点击
    这是一个创建于 55 天前的主题,其中的信息可能已经有所发展或是发生改变。

    前情提要:

    • 已经升级 Catalina 正式版本
    • 安装 brew 时需要安装 command line tools,直接执行 brew 官网给的命令

    问题: 安装成功后,系统一直提醒需要更新 command line tools 到 Xcode-11.0,在「设置」中更新里面升级以及使用「 softwareupdate 」在命令行中升级均会显示成功,但还是显示需要更新。小红点也没消失,进入设置更新界面还是显示要 command line tools 需要更新。 已经尝试多次,没有效果,还是显示需要要更新

    第 1 条附言  ·  55 天前
    重启可以解决,此问题终结。
    8 回复  |  直到 2019-10-11 21:27:33 +08:00
        1
    Helsing   55 天前 via iPhone
    把 Xcode 删了,重新安装就好
        2
    dadachen1997   55 天前
    @Helsing 并没有安装 Xcode
        3
    napster34   55 天前
    我也是
        4
    boywang004   55 天前
    try:
    ```
    xcode-select --install
    ```
        5
    ZavierXu   55 天前
    重启即可解决,是否安装成功可以 brew doctor 一下
        6
    jfdnet   55 天前
    删了重装
        7
    dadachen1997   55 天前
    @ZavierXu 感谢,果然 reboot 可以解决 99%的问题。
        8
    ZavierXu   55 天前
    @dadachen1997 重装、重启、重买……解决一切问题!
    关于   ·   FAQ   ·   API   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   3127 人在线   最高记录 5043   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.3 · 29ms · UTC 10:25 · PVG 18:25 · LAX 02:25 · JFK 05:25
    ♥ Do have faith in what you're doing.